org.apache.solr.handler.dataimport.config

## Class DIHConfiguration

- java.lang.Object
- - org.apache.solr.handler.dataimport.config.DIHConfiguration

-     public class DIHConfiguration
      extends Object

  Mapping for data-config.xml

  Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

  This API is experimental and subject to change

  Since:
    solr 1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIHConfiguration(Element element, DataImporter di, List<Map<String,String>> functions, Script script, Map<String,Map<String,String>> dataSources, PropertyWriter pw)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Map<String,String>>` | `getDataSources()`
    `String` | `getDeleteQuery()`
    `List<Entity>` | `getEntities()`
    `List<Map<String,String>>` | `getFunctions()`
    `String` | `getOnError()`
    `String` | `getOnImportEnd()`
    `String` | `getOnImportStart()`
    `PropertyWriter` | `getPropertyWriter()`
    `IndexSchema` | `getSchema()`
    `SchemaField` | `getSchemaField(String caseInsensitiveName)`
    `Script` | `getScript()`
    `static boolean` | `isSpecialCommand(String fld)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DIHConfiguration

          public DIHConfiguration(Element element,
                                  DataImporter di,
                                  List<Map<String,String>> functions,
                                  Script script,
                                  Map<String,Map<String,String>> dataSources,
                                  PropertyWriter pw)

  - ### Method Detail

    - #### getSchemaField

          public SchemaField getSchemaField(String caseInsensitiveName)

    - #### getDeleteQuery

          public String getDeleteQuery()

    - #### getEntities

          public List<Entity> getEntities()

    - #### getOnImportStart

          public String getOnImportStart()

    - #### getOnImportEnd

          public String getOnImportEnd()

    - #### getOnError

          public String getOnError()

    - #### getFunctions

          public List<Map<String,String>> getFunctions()

    - #### getDataSources

          public Map<String,Map<String,String>> getDataSources()

    - #### getScript

          public Script getScript()

    - #### getPropertyWriter

          public PropertyWriter getPropertyWriter()

    - #### getSchema

          public IndexSchema getSchema()

    - #### isSpecialCommand

          public static boolean isSpecialCommand(String fld)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.